import { AfterViewInit, ChangeDetectorRef, OnInit, QueryList } from '@angular/core';
import { MatSelectionList } from '@angular/material/list';
import { MatTabChangeEvent } from '@angular/material/tabs';
import { Router } from '@angular/router';
import { ApplicationService } from '../../../application.service';
import { Category } from '../../../models';
import { Application } from '../../../models/application/application.interface';
import { TenantSelectionService } from '../../../tenant-selection.service';
import { MenuOption } from '../../navbar';
import { SearchBarComponent } from '../../search-bar';
import { StartupService } from './../../../startup.service';
import { MenuOverlayRef } from './menu-overlay-ref';
export declare class MenuComponent implements OnInit, AfterViewInit {
    private dialogRef;
    private applicationService;
    private cdrRef;
    private router;
    private tenantService;
    private startupService;
    state: string;
    appMap: Map<Category, Application[]>;
    filteredApplications: Application[];
    criteria: string;
    tabSelectedIndex: number;
    selectedCategory: Category;
    selectedTenant: MenuOption;
    tenants: MenuOption[];
    private firstResult;
    private firstResultFocused;
    private destroyer$;
    searchBar: SearchBarComponent;
    selectedList: QueryList<MatSelectionList>;
    handleKeyboardEvent(event: KeyboardEvent): void;
    constructor(dialogRef: MenuOverlayRef, applicationService: ApplicationService, cdrRef: ChangeDetectorRef, router: Router, tenantService: TenantSelectionService, startupService: StartupService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onSearch(value: string): void;
    resetSearch(): void;
    onClose(): void;
    changeTabFocus(value?: MatTabChangeEvent): void;
    openApplication(app: Application): void;
    updateApps(tenant: MenuOption): void;
}
