import { OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
import { AccountApiService } from '../../../account/account-api.service';
import { AuthService } from '../../../auth.service';
import { SessionStorageService } from '../../../services/session-storage.service';
export declare class SelectLanguageComponent implements OnInit, OnDestroy {
    private translateService;
    private accountApiService;
    private authService;
    private sessionStorageService;
    private router;
    /**
     * This component have two display mode :
     * select : displays a select box with the current selected lang as text.
     * button : displays a circle button with the current selected lang as an image.
     */
    displayMode: 'select' | 'button';
    hasLangSelection: boolean;
    currentLang: string;
    private destroyer$;
    constructor(translateService: TranslateService, accountApiService: AccountApiService, authService: AuthService, sessionStorageService: SessionStorageService, router: Router);
    ngOnInit(): void;
    ngOnDestroy(): void;
    use(lang: string): void;
    private getInitLanguage;
    private translateConverter;
    private hasLanguageSelection;
}
