import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { Application } from '../../../models/application/application.interface';
import { Category } from '../../../models/application/category.interface';
import { MenuOption } from '../customer-menu/menu-option.interface';
import { MenuType } from '../menu-type.enum';
interface ModalData {
    menuType: MenuType;
    items: MenuOption[];
    applicationConfig: {
        applications: Application[];
        categories: {
            [categoryId: string]: Category;
        };
    };
}
export declare class CommonMenuComponent implements OnInit {
    dialogRef: MatDialogRef<CommonMenuComponent>;
    data: ModalData;
    title: string;
    menuType: MenuType;
    items: MenuOption[];
    applicationConfig?: {
        applications: Application[];
        categories: {
            [categoryId: string]: Category;
        };
    };
    constructor(dialogRef: MatDialogRef<CommonMenuComponent>, data: ModalData);
    ngOnInit(): void;
    closeApplicationMenu(): void;
    closeCustomerMenu(): void;
    closeTenantMenu(): void;
}
export {};
