import { ElementRef, OnInit, Renderer2 } from "@angular/core";
export declare class ResizeSidebarDirective implements OnInit {
    private elementRef;
    private renderer;
    private document;
    /**
     * Orientation du block à redimensionner, permet de positionner à droite ou à gauche la barre permettant de
     * redimensionner
     * valeur possible: left ou right (par défaut)
     */
    orientation: "right" | "left";
    /**
     * largeur de la barre permettant de redimensionner
     * valeur par défaut : 4px
     */
    barSize: string;
    /**
     * Couleur de la barre permettant de redimensionner
     * valeur par défaut #702382
     */
    barColor: string;
    /**
     * Largeur du block à redimensionner
     * valeur par défaut 300 (px)
     */
    width: number;
    private status;
    onMouseMove(event: MouseEvent): void;
    onMouseUp(): void;
    constructor(elementRef: ElementRef, renderer: Renderer2, document: any);
    ngOnInit(): void;
    private createResizeBar;
    private setStatus;
}
