import { Component, Input, forwardRef, Directive, Pipe, EventEmitter, Output, NgModule } from '@angular/core';
import { NG_VALUE_ACCESSOR } from '@angular/forms';

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class NavbarStubComponent {
    constructor() {
        this.hideTenantMenu = false;
        this.hideCustomerMenu = false;
    }
}
NavbarStubComponent.decorators = [
    { type: Component, args: [{ selector: 'vitamui-common-navbar', template: '<ng-content></ng-content>' },] }
];
NavbarStubComponent.propDecorators = {
    appId: [{ type: Input }],
    hideTenantMenu: [{ type: Input }],
    hideCustomerMenu: [{ type: Input }],
    customers: [{ type: Input }]
};
class ApplicationSelectContentStubComponent {
}
ApplicationSelectContentStubComponent.decorators = [
    { type: Component, args: [{ selector: 'vitamui-common-application-select-content', template: '<ng-content></ng-content>' },] }
];
ApplicationSelectContentStubComponent.propDecorators = {
    applications: [{ type: Input }],
    categories: [{ type: Input }],
    isModalMenu: [{ type: Input }]
};
class VitamUICustomerSelectStubComponent {
}
VitamUICustomerSelectStubComponent.decorators = [
    { type: Component, args: [{ selector: 'vitamui-common-customer-select', template: '<ng-content></ng-content>' },] }
];
class VitamUIDurationInputStubComponent {
    writeValue() { }
    registerOnChange() { }
    registerOnTouched() { }
}
VitamUIDurationInputStubComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-vitamui-duration-input',
                template: '<ng-content></ng-content>',
                providers: [{
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => VitamUIDurationInputStubComponent),
                        multi: true,
                    }]
            },] }
];
VitamUIDurationInputStubComponent.propDecorators = {
    placeholder: [{ type: Input }]
};
class VitamUITenantSelectStubComponent {
}
VitamUITenantSelectStubComponent.decorators = [
    { type: Component, args: [{ selector: 'vitamui-common-tenant-select', template: '<ng-content></ng-content>' },] }
];
class StepperStubComponent {
}
StepperStubComponent.decorators = [
    { type: Component, args: [{ selector: 'vitamui-common-stepper', template: '<ng-content></ng-content>' },] }
];
StepperStubComponent.propDecorators = {
    selectedIndex: [{ type: Input }]
};
class VitamUIInputErrorStubComponent {
}
VitamUIInputErrorStubComponent.decorators = [
    { type: Component, args: [{ selector: 'vitamui-common-input-error', template: '<ng-content></ng-content>' },] }
];
class VitamUIInputStubComponent {
    writeValue() { }
    registerOnChange() { }
    registerOnTouched() { }
}
VitamUIInputStubComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-input',
                template: '',
                providers: [{
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => VitamUIInputStubComponent),
                        multi: true,
                    }]
            },] }
];
VitamUIInputStubComponent.propDecorators = {
    placeholder: [{ type: Input }]
};
class VitamUIInputPositiveNumberStubComponent {
    writeValue() { }
    registerOnChange() { }
    registerOnTouched() { }
}
VitamUIInputPositiveNumberStubComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-input-positive-number',
                template: '',
                providers: [{
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => VitamUIInputPositiveNumberStubComponent),
                        multi: true,
                    }]
            },] }
];
VitamUIInputPositiveNumberStubComponent.propDecorators = {
    placeholder: [{ type: Input }]
};
class VitamUIListInputStubComponent {
    writeValue() { }
    registerOnChange() { }
    registerOnTouched() { }
}
VitamUIListInputStubComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-list-input',
                template: '',
                providers: [{
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => VitamUIListInputStubComponent),
                        multi: true,
                    }]
            },] }
];
VitamUIListInputStubComponent.propDecorators = {
    placeholder: [{ type: Input }]
};
class VitamUITextareaStubComponent {
    writeValue() { }
    registerOnChange() { }
    registerOnTouched() { }
}
VitamUITextareaStubComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-textarea',
                template: '',
                providers: [{
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => VitamUITextareaStubComponent),
                        multi: true,
                    }]
            },] }
];
VitamUITextareaStubComponent.propDecorators = {
    placeholder: [{ type: Input }]
};
class VitamUISlideToggleStubComponent {
    writeValue(value) { this.value = value; }
    registerOnChange() { }
    registerOnTouched() { }
}
VitamUISlideToggleStubComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-slide-toggle',
                template: '<ng-content></ng-content>',
                providers: [{
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => VitamUISlideToggleStubComponent),
                        multi: true,
                    }]
            },] }
];
VitamUISlideToggleStubComponent.propDecorators = {
    disabled: [{ type: Input }],
    checked: [{ type: Input }]
};
// Editable fields
// tslint:disable-next-line:directive-class-suffix
class EditableFieldStubComponent {
    writeValue(value) { this.value = value; }
    registerOnChange() { }
    registerOnTouched() { }
}
EditableFieldStubComponent.decorators = [
    { type: Directive }
];
EditableFieldStubComponent.propDecorators = {
    validator: [{ type: Input }],
    asyncValidator: [{ type: Input }]
};
class VitamUIEditableEmailInputStubComponent extends EditableFieldStubComponent {
}
VitamUIEditableEmailInputStubComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-editable-email-input',
                template: '{{value}}',
                providers: [{
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => VitamUIEditableEmailInputStubComponent),
                        multi: true,
                    }]
            },] }
];
VitamUIEditableEmailInputStubComponent.propDecorators = {
    domains: [{ type: Input }]
};
class VitamUIFieldErrorStubComponent {
}
VitamUIFieldErrorStubComponent.decorators = [
    { type: Component, args: [{ selector: 'vitamui-common-field-error', template: '<ng-content></ng-content>' },] }
];
class VitamUIEditableFileStubComponent extends EditableFieldStubComponent {
}
VitamUIEditableFileStubComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-editable-file',
                template: '{{value}}',
                providers: [{
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => VitamUIEditableFileStubComponent),
                        multi: true,
                    }]
            },] }
];
class VitamUIEditableInputStubComponent extends EditableFieldStubComponent {
}
VitamUIEditableInputStubComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-editable-input',
                template: '{{value}}',
                providers: [{
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => VitamUIEditableInputStubComponent),
                        multi: true,
                    }]
            },] }
];
class VitamUIEditableTextareaStubComponent extends EditableFieldStubComponent {
}
VitamUIEditableTextareaStubComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-editable-textarea',
                template: '{{value}}',
                providers: [{
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => VitamUIEditableTextareaStubComponent),
                        multi: true,
                    }]
            },] }
];
class VitamUIEditableSelectStubComponent extends EditableFieldStubComponent {
}
VitamUIEditableSelectStubComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-editable-select',
                template: '{{value}}',
                providers: [{
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => VitamUIEditableSelectStubComponent),
                        multi: true,
                    }]
            },] }
];
class VitamUIEditableOptionStubComponent {
}
VitamUIEditableOptionStubComponent.decorators = [
    { type: Component, args: [{ selector: 'vitamui-common-editable-option', template: '' },] }
];
VitamUIEditableOptionStubComponent.propDecorators = {
    value: [{ type: Input }],
    content: [{ type: Input }],
    disabled: [{ type: Input }]
};
class VitamUIEditableToggleGroupStubComponent extends EditableFieldStubComponent {
}
VitamUIEditableToggleGroupStubComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-editable-toggle-group',
                template: '{{value}}',
                providers: [{
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => VitamUIEditableToggleGroupStubComponent),
                        multi: true,
                    }]
            },] }
];
class VitamUIEditableButtonToggleStubComponent {
}
VitamUIEditableButtonToggleStubComponent.decorators = [
    { type: Component, args: [{ selector: 'vitamui-common-editable-button-toggle', template: '' },] }
];
VitamUIEditableButtonToggleStubComponent.propDecorators = {
    value: [{ type: Input }]
};
class EditableLevelInputStubComponent {
    writeValue() { }
    registerOnChange() { }
    registerOnTouched() { }
}
EditableLevelInputStubComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-editable-level-input',
                template: '{{prefix}}',
                providers: [{
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => EditableLevelInputStubComponent),
                        multi: true
                    }]
            },] }
];
EditableLevelInputStubComponent.propDecorators = {
    validator: [{ type: Input }],
    asyncValidator: [{ type: Input }],
    prefix: [{ type: Input }],
    disabled: [{ type: Input }]
};
class StrongifyStubPipe {
    transform(value) { return value; }
}
StrongifyStubPipe.decorators = [
    { type: Pipe, args: [{ name: 'strongify' },] }
];
class TruncateStubPipe {
    transform(value = '') { return value; }
}
TruncateStubPipe.decorators = [
    { type: Pipe, args: [{ name: 'truncate' },] }
];
class TranslateStubPipe {
    transform(value = '') { return value; }
}
TranslateStubPipe.decorators = [
    { type: Pipe, args: [{ name: 'translate' },] }
];
class InfiniteScrollStubDirective {
    constructor() {
        this.vitamuiScroll = new EventEmitter();
    }
}
InfiniteScrollStubDirective.decorators = [
    { type: Directive, args: [{ selector: '[vitamuiCommonInfiniteScroll]' },] }
];
InfiniteScrollStubDirective.propDecorators = {
    vitamuiCommonInfiniteScrollThreshold: [{ type: Input }],
    vitamuiCommonInfiniteScrollDisable: [{ type: Input }],
    vitamuiScroll: [{ type: Output }]
};
class RowCollapseStubDirective {
}
RowCollapseStubDirective.decorators = [
    { type: Directive, args: [{
                selector: '[vitamuiCommonRowCollapse]',
                exportAs: 'vitamuiRowCollapse'
            },] }
];
RowCollapseStubDirective.propDecorators = {
    vitamuiCommonCollapse: [{ type: Input }]
};
class RowCollapseTriggerForStubDirective {
}
RowCollapseTriggerForStubDirective.decorators = [
    { type: Directive, args: [{
                selector: '[vitamuiCommonRowCollapseTriggerFor]'
            },] }
];
RowCollapseTriggerForStubDirective.propDecorators = {
    vitamuiCommonRowCollapseTriggerFor: [{ type: Input }]
};
class VitamUICommonTestModule {
}
VitamUICommonTestModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    ApplicationSelectContentStubComponent,
                    VitamUICustomerSelectStubComponent,
                    VitamUIDurationInputStubComponent,
                    VitamUIEditableButtonToggleStubComponent,
                    VitamUIEditableEmailInputStubComponent,
                    VitamUIEditableFileStubComponent,
                    VitamUIEditableInputStubComponent,
                    VitamUIEditableOptionStubComponent,
                    VitamUIEditableSelectStubComponent,
                    VitamUIEditableTextareaStubComponent,
                    VitamUIEditableToggleGroupStubComponent,
                    VitamUIFieldErrorStubComponent,
                    VitamUIInputErrorStubComponent,
                    VitamUIInputPositiveNumberStubComponent,
                    VitamUIInputStubComponent,
                    VitamUIListInputStubComponent,
                    VitamUISlideToggleStubComponent,
                    VitamUITenantSelectStubComponent,
                    VitamUITextareaStubComponent,
                    EditableLevelInputStubComponent,
                    InfiniteScrollStubDirective,
                    NavbarStubComponent,
                    RowCollapseStubDirective,
                    RowCollapseTriggerForStubDirective,
                    StepperStubComponent,
                    StrongifyStubPipe,
                    TruncateStubPipe,
                    TranslateStubPipe
                ],
                exports: [
                    ApplicationSelectContentStubComponent,
                    VitamUICustomerSelectStubComponent,
                    VitamUIDurationInputStubComponent,
                    VitamUIEditableButtonToggleStubComponent,
                    VitamUIEditableEmailInputStubComponent,
                    VitamUIEditableFileStubComponent,
                    VitamUIEditableInputStubComponent,
                    VitamUIEditableOptionStubComponent,
                    VitamUIEditableSelectStubComponent,
                    VitamUIEditableTextareaStubComponent,
                    VitamUIEditableToggleGroupStubComponent,
                    VitamUIFieldErrorStubComponent,
                    VitamUIInputErrorStubComponent,
                    VitamUIInputPositiveNumberStubComponent,
                    VitamUIInputStubComponent,
                    VitamUIListInputStubComponent,
                    VitamUISlideToggleStubComponent,
                    VitamUITenantSelectStubComponent,
                    VitamUITextareaStubComponent,
                    EditableLevelInputStubComponent,
                    InfiniteScrollStubDirective,
                    NavbarStubComponent,
                    RowCollapseStubDirective,
                    RowCollapseTriggerForStubDirective,
                    StepperStubComponent,
                    StrongifyStubPipe,
                    TruncateStubPipe,
                    TranslateStubPipe
                ]
            },] }
];

function input(elInput, value) {
    elInput.value = value;
    const customEvent = document.createEvent('CustomEvent');
    customEvent.initCustomEvent('input', false, false, null);
    elInput.dispatchEvent(customEvent);
}
function submit(form) {
    // Calling nativeElement.submit() causes the test page to refresh indefinitely so we have to use triggerEventHandler() instead
    form.triggerEventHandler('submit', null);
}

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/**
 * Generated bundle index. Do not edit.
 */

export { ApplicationSelectContentStubComponent, EditableFieldStubComponent, EditableLevelInputStubComponent, InfiniteScrollStubDirective, NavbarStubComponent, RowCollapseStubDirective, RowCollapseTriggerForStubDirective, StepperStubComponent, StrongifyStubPipe, TranslateStubPipe, TruncateStubPipe, VitamUICommonTestModule, VitamUICustomerSelectStubComponent, VitamUIDurationInputStubComponent, VitamUIEditableButtonToggleStubComponent, VitamUIEditableEmailInputStubComponent, VitamUIEditableFileStubComponent, VitamUIEditableInputStubComponent, VitamUIEditableOptionStubComponent, VitamUIEditableSelectStubComponent, VitamUIEditableTextareaStubComponent, VitamUIEditableToggleGroupStubComponent, VitamUIFieldErrorStubComponent, VitamUIInputErrorStubComponent, VitamUIInputPositiveNumberStubComponent, VitamUIInputStubComponent, VitamUIListInputStubComponent, VitamUISlideToggleStubComponent, VitamUITenantSelectStubComponent, VitamUITextareaStubComponent, input, submit };
//# sourceMappingURL=ui-frontend-common-testing.js.map
